Bug 987731 - Review Request: qt4pas - Free Pascal Qt4 Binding
Review Request: qt4pas - Free Pascal Qt4 Binding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
:
: libqt4pas (view as bug list)
Depends On: 870199
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2013-07-23 22:46 EDT by Christopher Meng
Modified: 2016-08-14 12:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: qt4pas-2.5-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
spacewar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-23 22:46:44 EDT
Spec URL: http://cicku.me/qt4pas.spec
SRPM URL: http://cicku.me/qt4pas-2.5-1.fc20.src.rpm
Description: The Free Pascal Qt4 binding allows Free Pascal to interface with the 
C++ Library Qt.

This binding does not cover the whole Qt4 framework but only the 
classes needed by the Cross Platform Lazarus IDE to use Qt as a 
Widget set.
Fedora Account System Username: cicku
Comment 1 Eric Smith 2013-07-25 01:05:59 EDT
Build succeeds for rawhide, but fails for F19, both on my own machine and with koji.  Problem seems to be with qmake, maybe something in the Qt4Pas.pro file?  Here's the excerpt from the log:

+ %qmake_qt4 Qt4Pas.pro
/var/tmp/rpm-tmp.LLsNRb: line 29: fg: no job control

If you don't plan to push to F19, this can be ignored.  

Is qt4.pas necessary when not doing development?  If not, please put it into the devel subpackage.  Or...  fedora-review calls it an EXTRA but I categorize as a SHOULD, that %{_datadir}/fpcsrc/pacakges/qt4/qt4.pas should go into a noarch subpackage, and be Required by the devel package (or the main package, if needed for non-development use).

Here's the review checklist:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[[reviewer notes]]


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 380 files have unknown license. Detailed output
     of licensecheck in /home/eric/987731-qt4pas/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[[OK if upstream doesn't provide any unit tests]]
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1320960 bytes in /usr/share 1320960
     qt4pas-2.5-1.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qt4pas-2.5-1.fc20.x86_64.rpm
          qt4pas-devel-2.5-1.fc20.x86_64.rpm
qt4pas-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint qt4pas-devel qt4pas
qt4pas-devel.x86_64: W: no-documentation
qt4pas.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt4Pas.so.5.2.5 /lib64/libpthread.so.0
qt4pas.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt4Pas.so.5.2.5 /lib64/libm.so.6
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
qt4pas-devel (rpmlib, GLIBC filtered):
    libQt4Pas.so.5()(64bit)
    qt4pas(x86-64)

qt4pas (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    fpc-src
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
qt4pas-devel:
    qt4pas-devel
    qt4pas-devel(x86-64)

qt4pas:
    libQt4Pas.so.5()(64bit)
    qt4pas
    qt4pas(x86-64)



Source checksums
----------------
http://users.telenet.be/Jan.Van.hijfte/qtforfpc/V2.5/qt4pas-V2.5_Qt4.5.3.tar.gz :
  CHECKSUM(SHA256) this package     : 825423db80da4df5c21816c0392b3394cddfe2f3293dfd08ace84941726affea
  CHECKSUM(SHA256) upstream package : 825423db80da4df5c21816c0392b3394cddfe2f3293dfd08ace84941726affea


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 987731


With the request that qt4.pas be moved into the -devel subpackage or a noarch subpackage if possible,
the package is APPROVED.
Comment 2 Michael Schwendt 2013-07-25 03:57:26 EDT
> + %qmake_qt4 Qt4Pas.pro
> /var/tmp/rpm-tmp.LLsNRb: line 29: fg: no job control

If %qmake_qt4 appears in the build output, that means it has not been expanded -> macro doesn't exist.
Comment 3 Christopher Meng 2013-07-25 04:38:02 EDT
(In reply to Michael Schwendt from comment #2)
> > + %qmake_qt4 Qt4Pas.pro
> > /var/tmp/rpm-tmp.LLsNRb: line 29: fg: no job control
> 
> If %qmake_qt4 appears in the build output, that means it has not been
> expanded -> macro doesn't exist.

Yes, but I don't know why it's not included in f19.
Comment 4 Christopher Meng 2013-07-25 04:39:26 EDT
Oh, I found the root cause.
Comment 5 Christopher Meng 2013-07-25 04:40:22 EDT
New Package SCM Request
=======================
Package Name: qt4pas
Short Description: Free Pascal Qt4 Binding
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-07-25 07:59:36 EDT
Git done (by process-git-requests).
Comment 7 Kevin Kofler 2013-07-25 08:49:13 EDT
> Yes, but I don't know why it's not included in f19.

Because it's new. Just use qmake-qt4 directly for now.
Comment 8 Christopher Meng 2013-07-25 21:20:12 EDT
(In reply to Kevin Kofler from comment #7)
> > Yes, but I don't know why it's not included in f19.
> 
> Because it's new. Just use qmake-qt4 directly for now.

Yes, I've depended it. But in today's Koji it still failed.

I will wait Rex to push it.
Comment 9 Kevin Kofler 2013-07-26 21:26:03 EDT
By "use qmake-qt4 directly", I mean, don't use %qmake_qt4, but write qmake-qt4 (and whatever arguments you need) directly in the specfile.
Comment 10 Fedora Update System 2013-08-04 20:37:14 EDT
qt4pas-2.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt4pas-2.5-2.fc19
Comment 11 Fedora Update System 2013-08-05 20:25:04 EDT
qt4pas-2.5-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Christopher Meng 2013-08-06 23:33:36 EDT
*** Bug 542458 has been marked as a duplicate of this bug. ***
Comment 13 Fedora Update System 2013-08-07 01:18:21 EDT
qt4pas-2.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qt4pas-2.5-2.fc18
Comment 14 Fedora Update System 2013-08-14 22:57:20 EDT
qt4pas-2.5-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-08-16 19:01:38 EDT
qt4pas-2.5-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Christopher Meng 2014-01-27 00:33:46 EST
Package Change Request
======================
Package Name: qt4pas
New Branches: epel7
Owners: cicku
Comment 17 Gwyn Ciesla 2014-01-27 08:07:49 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.